<?php
namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class Login1 extends Controller
{
    public $data = [];
    public function __construct(){
        parent::__construct();
    }

    public function multiLoginBlock(){
        $this->data["main_view"] = "multiLoginBlock";
        $this->data['page_title'] = "Multi Login Block";

        $user_id = 1;
        $login = new \App\Libraries\MultiLoginBlock;
        
        if (isset($_POST["submit"])) {
            $login->loginUser($user_id);
            return redirect("home");
        }
        return view("base", $this->data);
    }

    public function forgotPasswordSms(Request $request){
        $this->data["main_view"] = "forgotPasswordSms";
        $this->data['page_title'] = "Forgot Password Link";

        $this->data["otp_sent"] = $request->post("otp_sent");
        $this->data["otp_verify"] = !empty($request->post("otp_verify")) ? $request->post("otp_verify") : 0;
        $this->data["mobile_no"] = $request->post("mobile_no");
        $this->data["btn_label"] = "Send OTP";

        if ($request->post("submit")) {
            if (!$this->data["otp_sent"]) {
                $this->data["otp_sent"] = $this->sendOTP($this->data["mobile_no"]);
                $this->data["btn_label"] = $this->data["otp_sent"] == 1 ? "Verify OTP" : "Send OTP";
            } else if ($this->data["otp_sent"] && !$this->data["otp_verify"]) {
                $this->data["otp_verify"] = $this->verifyOTP($this->data["mobile_no"], $request->post("otp"));
                $this->data["btn_label"] = $this->data["otp_verify"] == 1 ? "Update Password" : "Verify OTP";
            }

            if ($this->data["otp_sent"] && $this->data["otp_verify"] && !empty($request->post("new_password"))) {
                $password = new \App\Libraries\ForgotPasswordSms;
                $result = json_decode($password->forgotPasswordUpdateSMS($this->data["mobile_no"], $request->post("new_password"), $request->post("re_type_password")));
                if ($result->msg == "Password Updated Successfully") {
                    session()->flash("success", $result->msg);
                    session()->forget("error");
                } else {
                    session()->flash("error", $result->msg);
                    session()->forget("success");
                }
                $this->data["btn_label"] = "Update Password";
            } 
        }

        return view("base", $this->data);
    }

    public function forgotPasswordLink(Request $request)
    {
        $this->data["main_view"] = "forgotPasswordLink";
        $this->data['page_title'] = "Forgot Password Link";
        $this->data['data'] = $request;

        $obj = new \App\Libraries\ForgotPasswordLink;
        $obj->redirect_url = url('forgotPasswordLink') ;
        $obj->encryption = TRUE;

        $this->data["email"] = $request->post("email");
        $this->data["link_sent"] = $request->post("link_sent");
        if (!empty($_GET["code"])) {
            $result = json_decode($obj->decodeLink($_GET["code"]));
            if ($result->msg == "Link Validation Successful") {
                $this->data["link_sent"] = 1;
                $this->data["link_accessed"] = 1;
                $this->data["email"] = $result->data->email;
                session()->forget("error");
                session()->flash("success", $result->msg);
                $this->data["btn_label"] = "Reset Password";
            } else {
                $this->data["link_sent"] = 1;
                $this->data["link_accessed"] = 0;
                session()->flash("error", $result->msg);
                session()->forget("success");
                return view("base", $this->data);
            }
        } else {
            $this->data["btn_label"] = "Send Link";
            $this->data["link_accessed"] = $request->post("link_accessed");
        }

        $from = 'admissions.smvthane@smgi.edu.in';
        if (isset($_POST["submit"])) {
            if (!$this->data["link_sent"]) {
                $user = json_decode($obj->generatedLink($this->data["email"]));
                if ($user->msg != "Link Creation Successful") {
                    session()->flash("error", $user->msg);
                } else {
                    $link = $user->link;
                    $result = json_decode($obj->sendPasswordLink($from, $this->data["email"], "Password Verification Link", "Please Follow the link : " . $link, $link));
                    if ($result->msg == "Email Sent Successfully") {
                        $this->data["link_sent"] = 1;
                        session()->flash("success", $result->msg);
                    } else {
                        session()->flash("error", $result->msg);
                    }
                }
            } else if ($this->data["link_sent"] && !$this->data["link_accessed"]) {
            } else if ($this->data["link_sent"] && $this->data["link_accessed"]) {
                $result = json_decode($obj->resetPassword($this->data["email"], $request->post("new_password"), $request->post("re_type_password")));
                if ($result->msg == "Password Updated Successfully") {
                    session()->flash("success", $result->msg);
                    session()->forget("error");
                } else {
                    session()->flash("error", $result->msg);
                    session()->forget("success");
                }
                $this->data["btn_label"] = "Reset Password";
            }
        }

        return view("base", $this->data);
    }

    public function forgotPasswordEmail(Request $request){
        $this->data["main_view"] = "forgotPasswordEmail";
        $this->data["page_title"] = "Forgot Password Email";

        $this->data["otp_sent"] = $request->post("otp_sent");
        $this->data["otp_verify"] = !empty($request->post("otp_verify")) ? $request->post("otp_verify") : 0;
        $this->data["email"] = $request->post("email");

        $this->data["btn_label"] = "Send OTP";

        $password = new \App\Libraries\ForgotPasswordEmail();
        $from = 'admissions.smvthane@smgi.edu.in';
        if (isset($_POST["submit"])) {
            if (!$this->data["otp_sent"]) {
                $otp = otpGenerator();
                $result = json_decode($password->sendOTP($from, $this->data["email"], "Login OTP", "Your OTP for login is " . $otp, $otp));

                if ($result->msg == "OTP Sent Successfully") $this->data["otp_sent"] = 1;
                else session()->flash("error", $result->msg);

                $this->data["btn_label"] = $this->data["otp_sent"] == 1 ? "Verify OTP" : "Send OTP";
            } else if ($this->data["otp_sent"] && !$this->data["otp_verify"]) {
                $result = json_decode($password->verifyOTP($this->data["email"], $request->post("otp")));
                if ($result->msg == "OTP Verification Successful") $this->data["otp_verify"] = 1;
                else session()->flash("error", $result->msg);
                $this->data["btn_label"] = $this->data["otp_verify"] == 1 ? "Update Password" : "Verify OTP";
            }

            if ($this->data["otp_sent"] && $this->data["otp_verify"] && !empty($request->post("new_password"))) {

                $result = json_decode($password->forgotPasswordUpdateEmail($this->data["email"], $request->post("new_password"), $request->post("re_type_password")));
                if ($result->msg == "Password Updated Successfully") {
                    session()->flash("success", $result->msg);
                    session()->forget("error");
                } else {
                    session()->flasg("error", $result->msg);
                    session()->forget("success");
                }
                $this->data["btn_label"] = "Update Password";
            }
        }

        return view("base", $this->data);
    }

    public function changePassword(Request $request){
        $this->data["main_view"] = "changePassword";
        $this->data["page_title"] = "Change Password";
        if ($request->post("submit")) {
            $new_password = $request->post("new_password");
            if (empty($new_password)) {
                session()->flash("error", "New Password is required");
                return;
            }

            $login = new \App\Libraries\ChangePassword;
            $result = json_decode($login->changePassword($request->post("email"), $request->post("current_password"), $new_password));
            if ($result->msg == "Password Updated Successfully") {
                session()->flash('success', $result->msg);
                session()->forget("error");
            } else {
                session()->forget('success');
                session()->flash("error", $result->msg);
            }
        }

        return view("base", $this->data);
    }

    public function loginOTP(Request $request){
        $this->data["main_view"] = "loginOTP";
        $this->data["page_title"] = "Login OTP";

        $this->data["otp_sent"] = $request->post("otp_sent");
        $this->data["mobile_no"] = $request->post("mobile_no");

        if(!empty($request->post("submit"))){
            if (!$this->data["otp_sent"]) {
                $this->data["otp_sent"] = $this->sendOTP($this->data["mobile_no"]);
            } else {
                $otp_verify =  $this->verifyOTP($this->data["mobile_no"], $request->post("otp"));
                if ($otp_verify) {
                    return redirect("home");
                }
            }
        }
        return view("base", $this->data);
    }

    protected function verifyOTP($mobile_no = "", $otp = ""){
        $login = new \App\Libraries\LoginOtpSms;
        $result = json_decode($login->verifyOTP($mobile_no, $otp));
        if ($result->msg == "OTP Verification Successful") {
            session()->flash("success", $result->msg);
            session()->forget("error", "");
            return 1;
        } else {
            session()->flash('error', $result->msg);
            session()->forget('success');
            return 0;
        }
    }

    protected function sendOTP($mobile_no = ""){
        $login = new \App\Libraries\LoginOtpSms();
        $login->sms_api_key = "aeafd457-c8c0-11e9-ade6-0200cd936042";
        $login->sms_ctid = "1407168570804710524";
        $login->sms_peid = "1401624090000052850";
        $login->sms_template_name = "SSrimaTemplFinal";
        $login->sms_from = "SSRIMA";

        $result = json_decode($login->sendOTP($mobile_no));
        if ($result->msg == "OTP Sent Successfully") {
            session()->flash("success",$result->msg);
            return 1;
        } else {
            session()->flash('error', $result->msg);
            return 0;
        }
    }

    public function loginPasswordEmail(Request $request){
        $this->data["main_view"] = "loginPasswordEmail";
        $this->data["page_title"] = "Login Password Email";

        if ($request->isMethod("post")) {
            
            // Initializing the library...
            $login = new \App\Libraries\LoginPasswordEmail;
            
            //Setting wether email or username validation is required...
            $validation_parameter = $login->type == "email" ? $request->email : $request->username;

            // Call the validation method...
            $result = json_decode($login->loginPassword($validation_parameter,$request->password));
            if ($result->msg == "Validation Successful") {
                // Successful validation...
                return redirect("home");
            }
            session()->flash("error",$result->msg);   
        }
        return view("base", $this->data);
    }
}
