<?php

namespace App\Libraries;

use App\Models\User;

class ChangePassword extends Login
{
    public $type = "email";

    public function changePassword($param = null, $old_password = null, $new_password = null){

        // Checking type property value...
        if($this->type != 'email' && $this->type != 'name') return json_encode(["msg" => "Invalid type validation"]);
        // Checking type property value...

        $user = User::checkIfUserExists($param, $old_password, $this->type);

        // Validating new Password...
        $pass = passwordValidator($new_password);
        if (!is_null($pass)) return $pass;
        // Validating new Password...

        // Some Error has occured & needs to be returned.
        if (gettype($user) == "string") return $user;

        //Change Password.
        $verify_password = password_verify($old_password, $user->password);
        if ($verify_password) {
            $update = User::updateUserPassword($param, $new_password, $this->type);
            if($update == -1) return json_encode(["msg" => "Database Server Issue"]);
            return $update > 0 ? json_encode(["msg" => "Password Updated Successfully"]) : json_encode(["msg" => "Failed to update Password"]);
        } else {
            return json_encode(["msg" => "Password did not match"]);
        }
        //Change Password. 
    }
}

?>