<?php

namespace App\Libraries;

use App\Models\User;
use Illuminate\Support\Facades\DB;

// use Illuminate\Http\Request;

abstract class Login
{
    public function loginUser($user_id, $multi_login_block = FALSE){

        // Checking if user_id is valid and user exists.
        $user = User::fetchUserById($user_id);
        if (!$user) return 0;
        // Checking if user_id is valid and user exists.

        session()->put("user_id", $user_id);

        if ($multi_login_block == TRUE) session()->put("multi_login_block", TRUE);
        $updated = DB::update("update users set session_id = ? where id = ?",[session_id(), session()->get("user_id")]);

        return $updated ? 1 : 0;
    }
    
    public function logout(){
        $updated = DB::update("update users set session_id = ? where id = ?",[NULL, session()->get("user_id")]);
        session()->flush();
        return redirect("/");
    }
}
