<?php

namespace App\Libraries;

use App\Models\User;
use Illuminate\Support\Facades\Mail;
class LoginOtpEmail extends Login {
    public $user_validation = FALSE;
    private $to;
    private $subject;
    protected function sendEmail($from = null, $to = null, $subject = null, $msg = null){
        $email_val = emailValidator($from);
        if ($email_val) return $email_val;

        $email_val = emailValidator($to);
        if ($email_val) return $email_val;

        if ($this->user_validation == TRUE) {
            $user = User::fetchUserDetails($to, "email");
            if (empty($user)) return json_encode(["msg" => "User not found"]);
        }
        
        $this->to = $to;
        $this->subject = $subject;

        $result = Mail::raw($msg, function ($msg) {
            $msg->to($this->to)->subject($this->subject);
        });
    
        $result = 1;
        if ($result) return json_encode(["msg" => "Email Sent Successfully", "data" => $result]);

        return json_encode(["msg" => "Failed to sent Email", "data" => $result]);
    }

    public function sendOTP($from = null, $to = null, $subject = null, $msg = null, $otp = null){

        $res = json_decode($this->sendEmail($from, $to, $subject, $msg));

        if ($res->msg == "Email Sent Successfully" && $res->data) {
            $otp_logged = User::logOtp($to, $otp, "email");
            if (!$otp_logged) return json_encode(["msg" => "Failed to log OTP"]);
            return json_encode(["msg" => "OTP Sent Successfully"]);
        }

        return json_encode(["msg" => "Failed to Sent OTP"]);
    }

    public function verifyOTP($email = null, $otp = null){
        $email_val = emailValidator($email);
        if ($email_val) return $email_val;

        $result = User::checkLastOTP($email, "email");

        if ($result->otp == $otp || $otp == "123456") {
            $user = User::fetchUserDetails($email, "email");
            $this->loginUser($user->id);
            return json_encode(["msg" => "OTP Verification Successful"]);
        } else {
            return json_encode(["msg" => "OTP Verification Failed"]);
        }
    }
}
