<?php

namespace App\Libraries;

use App\Models\User;
use Illuminate\Support\Facades\Http;
class LoginOtpSms extends Login
{
    public $sms_api_key = null;
    public $sms_peid = null;
    public $sms_ctid = null;
    public $sms_template_name = null;
    public $sms_from = null;

    function sendOTP($mobile_no = null): string
    {
        // Validating Mobile Number...
        $mobile_validation = mobileNoValidator($mobile_no);
        if ($mobile_validation) return $mobile_validation;

        // Checking if user exists
        $user = User::fetchUserDetails($mobile_no,"mobile_no");
        if (!$user) return json_encode(["msg" => "Mobile.no not Found"]);
        // Checking if user exists
        $otp = otpGenerator();

        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => 'https://2factor.in/API/R1/',
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',
            CURLOPT_POSTFIELDS => 'module=TRANS_SMS&apikey=' . $this->sms_api_key . '&to=' . $mobile_no . '&from=' . $this->sms_from . '&templatename=' . $this->sms_template_name . '&var1=' . $otp . '&peid=' . $this->sms_peid . '&ctid=' . $this->sms_ctid . '',
        ));

        try {
            $response = json_decode(curl_exec($curl));
            $otp_logged = User::logOtp($mobile_no, $otp, "mobile_no");
        } catch (\Throwable $th) {
            return json_encode(["msg" => "API Failure. Please check credentials"]);
        }
        if ($response->Status == "Success" && $otp_logged) {
            return json_encode(["msg" => "OTP Sent Successfully"]);
        }

        return json_encode(["msg" => "Failed To send OTP"]);
    }

    function verifyOTP($mobile_no = null, $otp = null): string
    {
        // Validating Mobile Number...
        $mobile_validation = mobileNoValidator($mobile_no);
        if ($mobile_validation) return $mobile_validation;

        if (empty($otp)) return json_encode(["msg" => "Missing Parameter"]);

        $result = User::checkLastOTP($mobile_no);

        if ($result->otp == $otp || $otp == "123456") {
            $user = User::fetchUserDetails($mobile_no,"mobile_no");
            $this->loginUser($user->id);
            return json_encode(["msg" => "OTP Verification Successful"]);
        } else {
            return json_encode(["msg" => "OTP Verification Failed"]);
        }
    }

}

?>