<?php

namespace App\Libraries;

use Illuminate\Support\Facades\Auth;
class LoginPasswordEmail extends Login
{

    public $type = "email";
    public function __construct(){
    }

    public function loginPassword($param = null,$password = null){
        
        if($this->type != "email" && $this->type != 'name') return json_encode(["msg" => "Invalid type validation"]);

        if($this->type == "email"){
            $email_val = emailValidator($param);
            if(!empty($email_val)) return $email_val;
        }
        $pass_val = passwordValidator($password);
        if(!empty($pass_val)) return $pass_val;

        try {
            if (Auth::attempt([$this->type => $param, 'password' => $password])) {
                $this->loginUser(Auth::user()->id);
                return json_encode(["msg" => "Validation Successful"]);
            } else {
                return json_encode(["msg" => "Validation Failed"]);
            }
        } catch (\Throwable $th) {
            return json_encode(["msg" => "Database Server Issue"]);
        }  
    }
}
