<?php

namespace App\Libraries;

use App\Models\User;

class SocialLoginGmail extends Login {
    public $googleClient;

    public function __construct(){
        parent::__construct();

        require_once "vendor/autoload.php";
        $this->googleClient = new \Google_Client();
    }
    function verifyGmailLogin($code = "")
    {
        $token = $this->googleClient->fetchAccessTokenWithAuthCode($code);
        if (!isset($token["error"])) {
            $this->googleClient->setAccessToken($token["access_token"]);
            $googleService = new \Google_Service_Oauth2($this->googleClient);
            $data = $googleService->userinfo->get();

            $user = $this->login->fetchUserEmail($data->email);
            if (empty($user)) {
                $to_insert["email"] = $data->email;
                $to_insert["name"] = $data->name;
                $to_insert["type"] = 1;

                $this->login->insert($to_insert);
                $user = $this->login->fetchUserEmail($data->email);
            }

            if ($user) {
                // session()->set("user_id", $user->id);
                $this->loginUser($user->id);
                return $user;
            }
            return null;
        }
    }
}