<h2 class="text-center py-5"><?= env('system_name') ?></h2>
<div class="col-lg-3 col-md-4 col-sm-10 col-xs-12">
    <div class="card rounded-0">
        <div class="card-header">
            <div class="card-title h4 mb-0 text-center">Forgot Password Link</div>
        </div>
        <div class="card-body">
            <div class="container-fluid">
                <form action="<?= url('forgotPasswordLink') ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <?php if (session()->has('error')): ?>
                        <div class="alert alert-danger rounded-0">
                            <?= session()->get('error') ?>
                        </div>
                    <?php endif; ?>
                    <?php if (session()->has('success')): ?>
                        <div class="alert alert-success rounded-0">
                            <?= session()->get('success') ?>
                        </div>
                    <?php endif; ?>

                    <?php
                    if (!$link_sent) {
                    ?>
                        <div class="mb-3">
                            <label for="email" class="control-label">Email</label>
                            <div class="input-group rounded-0">
                                <input type="email" class="form-control rounded-0" id="email" name="email" autofocus value="" required="required">
                                <div class="input-group-text bg-light bg-gradient rounded-0"><i class="fa fa-user"></i></div>
                            </div>
                        </div>
                    <?php
                    } else if ($link_sent && !$link_accessed && !session()->get("error")) {
                    ?>
                        <div class="mb-3">
                            <p>Verification Link Has been sent to <?php echo $email; ?></p>
                        </div>
                        <!-- mobile number parameter -->
                        <input type="hidden" name="email" value="<?= isset($email) ? $email : '' ?>">
                        <input type="hidden" name="link_sent" value="1">
                        <input type="hidden" name="link_accessed" value="<?php echo $link_accessed; ?>">
                        <!-- mobile number parameter -->
                    <?php
                    } else if ($link_sent && $link_accessed) {
                    ?>
                        <div class="mb-3">
                            <label for="password" class="control-label">New Password</label>
                            <div class="input-group rounded-0">
                                <input type="password" class="form-control rounded-0" id="new_password" name="new_password" autofocus value="" required="required">
                                <div class="input-group-text bg-light bg-gradient rounded-0"><i class="fa fa-user"></i></div>
                            </div>
                        </div>

                        <div class="mb-3">
                            <label for="password" class="control-label">Re-Type New Password</label>
                            <div class="input-group rounded-0">
                                <input type="password" class="form-control rounded-0" id="re_type_password" name="re_type_password" value="" required="required">
                                <div class="input-group-text bg-light bg-gradient rounded-0"><i class="fa fa-user"></i></div>
                            </div>
                        </div>

                        <!-- mobile number parameter -->
                        <input type="hidden" name="email" value="<?= isset($email) ? $email : '' ?>">
                        <input type="hidden" name="link_sent" value="1">
                        <input type="hidden" name="link_accessed" value="1">
                        <!-- mobile number parameter -->
                    <?php
                    }
                    ?>

                    <div class="d-grid gap-1">
                        <?php
                        if (!($link_sent && !$link_accessed)) {
                        ?>
                            <button type="submit" name="submit" class="btn rounded-0 btn-primary bg-gradient"><?php echo $btn_label; ?></button>
                        <?php
                        }
                        ?>

                    </div>

                </form>
            </div>
        </div>
    </div>
</div><?php /**PATH /opt/lampp/htdocs/laravel_libraries/resources/views/forgotPasswordLink.blade.php ENDPATH**/ ?>